<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.locale">var.locale</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;roles>&lt;role>OP&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;role>VAM_organization_RD-4040404040401&lt;/role>&lt;role>WEBTSM_USER&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcuser&lt;/role>&lt;role>collaboration-administrator&lt;/role>&lt;role>documents-administrator&lt;/role>&lt;role>flextable-administrator&lt;/role>&lt;role>mcs_user&lt;/role>&lt;/roles>&lt;organizations>&lt;organization>&lt;id>zzztest&lt;/id>&lt;displayName>zzztest/640037&lt;/displayName>&lt;name>zzztest/640037&lt;/name>&lt;configuration>&lt;ABC>640037&lt;/ABC>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;permissions>&lt;permission>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method&gt;create&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;/permissions>&lt;locale>fr_FR&lt;/locale>&lt;language>fr&lt;/language>&lt;country>FR&lt;/country>&lt;/user>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">2691</Property>
		<Property name="ISCurrentTime" type="Long">1750745157013</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">640123</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">640123</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="demux.totalIterations" type="Integer">3</Property>
		<Property name="demux.iterator" type="Integer">3</Property>
		<Property name="var.locale">fr_FR</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.locale"/>
  &lt;xsl:template match="/">&lt;xsl:variable name="var.user" select="/response/responses/response/body/user" as="element()"/>&lt;xsl:if test="not($var.user/locale = $var.locale)">&lt;xsl:sequence select="error((), 'Bad locale')"/>&lt;/xsl:if>&lt;xsl:if test="not($var.user/language = substring($var.locale, 1, 2))">&lt;xsl:sequence select="error((), 'Bad language')"/>&lt;/xsl:if>&lt;xsl:if test="not($var.user/country = substring($var.locale, 4))">&lt;xsl:sequence select="error((), 'Bad country')"/>&lt;/xsl:if>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>